package com.gmei.data.dqmp.scheduler;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import com.gmei.data.dqmp.service.WarningService;

@Component
public class MonitorScheduler {
	
	@Autowired
	private WarningService warningService;
	
    @Scheduled(cron="*/60 * * * * ?")
    private void uniqueProcess(){
    	warningService.checkAndWarning();
    }
}
